@import "variables";

.search-container {
    min-width: 60rem;
    position: relative;
    display: flex;
    align-items: center;
    border-radius: 10px;

    @media (max-width: 599px) { 
        min-width: 8rem;
        margin: 0 1rem;
    }
    
    &.dark {
        background-color: $dark-secondary;
        color: $font-dark;
        .search-input {
            color: $font-dark;
            background-color: $dark-secondary;
        }
    }

    &.light {
        background-color: $light-secondary;
        color: $font-light;
        .search-input {
            color: $font-light;
            background-color: $light-secondary;
        }
    }

    .search-button {
        position: absolute;
        left: 0;
        top: 0;
        display: flex;
        align-items: center;
        height: 100%;
        cursor: pointer;
        padding: 10px;
        border-radius: 10px 0 0 10px;
        &:hover {
            background-color: rgba(0,0,0,.1);
        }
    }
    
    .search-box {
        margin-left: 3rem;
        margin-right: 3rem;
        width: 100%;
        display: flex;
        justify-content: center;
        .search-input {
            width: 100%;
            height: 100%;
            border: none;
            outline: none;
            font-size: 2rem;
            padding: 1.2rem;

            @media (max-width: 699px) {
                padding: .8rem;
            }
    
            &:focus {
                border: none;
            }
        }
    }
    
    .search-close {
        position: absolute;
        right: 0;
        top: 0;
        display: flex;
        align-items: center;
        height: 100%;
        cursor: pointer;
        padding: 10px;
        border-radius: 0 10px 10px 0;
        &:hover {
            background-color: rgba(0,0,0,.1);
        }
    }
    
    .search-icon {
        height: 2rem;
        width: 2rem;
        vertical-align: 0;
    }
}